Bug 951842 - USB Live image not saving anything on persistent overlay
Summary: USB Live image not saving anything on persistent overlay
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: 18
Hardware: i686
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-13 18:26 UTC by ajonathan
Modified: 2013-11-25 21:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-25 21:06:38 UTC
Type: Bug


Attachments (Terms of Use)

Description ajonathan 2013-04-13 18:26:10 UTC
Description of problem:
No changes are saved after exiting the system.

Version-Release number of selected component (if applicable):
Xfce and KDE spins of Fedora 18. I've never tried it on the Gnoma yet.

How reproducible:
Everytime you shutdown a Xfce or KDE Fedora USB live image.

Steps to Reproduce:
1.Create a bootable Xfce or KDE spin of Fedora image on an USB stick with a persistent overlay.
2.Boot it on you favourite computer.
3.Make any change.
4.Reboot it.
  
Actual results:
All the changes made are gone like if it's the first time you use the live image.

Expected results:
The changes remain.

Additional info:
If that may help, I use a 4Gb Sandisk Cruzer usb stick. And my portable computer has the following items : AMD Athlon 64 X2 TK-57, 1024MB DDR2 RAM.
I am aware a similar bug on Fedora 15 has ever been reported but I didn't manage to overcome it. I don't understand why this bug is still encountered three versions later thought. Thanks for your attention.

Comment 1 satellitgo 2013-04-13 20:15:46 UTC
used liveusb-creator in f18 x86_64 with persistence set at 1GB
2 GB USB
In both cases formatted usb fat 16 boot flag set
1-) f19 TC6 live desktop
2-) f18 lxde live 
both x86_64

Both booted on startup
saved a text file
shutdown/reboot:
"SYSlinux 4.05 EDD......"
appears and boot stops

3-) f18 KDE i686 live no persistence set
 reboot works fine

Comment 2 satellitgo 2013-04-14 03:58:36 UTC
liveusb-creator:
retested in f19 KDE litd DVD install to HD (MacbookPro i7) with persistence:
shutdown/reboot:
"SYSlinux 4.05 EDD......"
appears and boot stops

Comment 3 satellitgo 2013-04-15 02:31:45 UTC
Note: the write to "persistent files seems to have corrupted the boot.
same USB will no longer boot on Acer Aspire One N450 pc yields the same 
"SYSlinux 4.05 EDD......"
appears and boot stops

Comment 4 Luke Macken 2013-04-25 18:27:51 UTC
I think this issue is resolved with liveusb-creator-3.11.8:

https://admin.fedoraproject.org/updates/F18/FEDORA-2013-6429

Comment 5 ajonathan 2013-04-27 15:08:52 UTC
(In reply to comment #4)
> I think this issue is resolved with liveusb-creator-3.11.8:
> 
> https://admin.fedoraproject.org/updates/F18/FEDORA-2013-6429

I'll check that. Tnhank you.

Comment 6 Luke Macken 2013-11-25 21:06:38 UTC
Please re-open this bug if you still experience this problem. Thanks!


Note You need to log in before you can comment on or make changes to this bug.